html {
    scroll-behavior: smooth;
}

.header {
    display: flex;
    padding-left: 3.276rem;
    justify-content: space-between;
    align-items: center;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 999;
}

.header__logo {
    display: flex;
}

.header__logo h1 {
    width: 21.897rem;
    height: 5.36rem;
}

.header__logo div {
    width: 17rem;
    height: 9.8rem;
}

.header__nav ul {
    display: flex;
    gap: 5.8rem;
    align-items: center;
}

.header__nav li {
    list-style-type: disc;
}

.header__nav li a {
    font-size: 2rem;
    font-weight: 700;
}

.header__nav ul li:last-child {
    list-style-type: none;
}

.header__nav li::marker {
    color: #FF0F17;
    font-size: 1.6rem;
}

.header__nav ul li:last-child a {
    background-color: #FF0300;
    color: #FFFFFF;
    border-radius: 0 0 0 2rem;
    padding: 3rem 2.7rem 2.7rem;
    font-size: 2.5rem;
    font-weight: 900;
}

.header__nav ul li:last-child a img {
    width: 2.866rem;
    height: 3.143rem;
    margin-left: 2.5rem;
}

@media screen and (max-width: 699.98px) {
    .header {
        padding-inline: 2rem;
        padding-top: 2.4rem;
    }

    .header__logo h1 {
        width: 13.94rem;
        height: 3.413rem;
    }

    .header__logo div {
        width: 8.7rem;
        height: 5rem;
    }

    .hamburger {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        gap: 0.38rem;
        border-radius: 50%;
        background-color: #FF014A;
        width: 4rem;
        height: 4rem;
        position: relative;
    }

    .hamburger span {
        width: 1.748rem;
        height: 0.218rem;
        background-color: #FFFFFF;
    }

    .is-open .hamburger span:nth-child(1) {
        position: absolute;
        top: 2rem;
        transform: rotate(45deg);
        background-color: #000000;
    }

    .is-open .hamburger span:nth-child(2) {
        opacity: 0;
    }

    .is-open .hamburger span:nth-child(3) {
        position: absolute;
        top: 2rem;
        background-color: #000000;
        transform: rotate(-45deg);
    }

    .is-open .hamburger{
        z-index: 10001;
        background-color: transparent;
    }

    .nav_overlay {
        display: none;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: 9999;
    }

    .is-open .nav_overlay {
        display: block;
    }

    .header__nav._sp {
        display: none;
        position: fixed;
        top: 0;
        right: -100%;
        width: 80%;
        max-width: 300px;
        height: 100%;
        background: rgba(255, 255, 255, 0.7);
        backdrop-filter: blur(10px);
        z-index: 10000;
        transition: right 0.7s;
        padding-top: 8rem;
    }

    .is-open .header__nav._sp {
        right: 0;
    }

    .header__nav._sp a {
        display: block;
        padding: 2rem;
        color: black;
        font-size: 1.8rem;
        text-align: center;
    }

    .header__nav._sp{
        display: block;
    }
}